=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-11-04 20:08:58 +0000
+++ viz/branchwin.py	2007-11-04 20:36:50 +0000
@@ -233,7 +233,7 @@
         return self.revisionview
 
     def _tag_selected_cb(self, menuitem, revid):
-        self.treeview.set_revision(revid)
+        self.treeview.set_revision_id(revid)
 
     def _treeselection_changed_cb(self, selection, *args):
         """callback for when the treeview changes."""
@@ -299,7 +299,7 @@
 
     def _go_clicked_cb(self, revid):
         """Callback for when the go button for a parent is clicked."""
-        self.treeview.set_revision(revid)
+        self.treeview.set_revision_id(revid)
 
     def _show_clicked_cb(self, revid, parentid):
         """Callback for when the show button for a parent is clicked."""
@@ -307,7 +307,7 @@
         self.treeview.grab_focus()
 
     def _set_revision_cb(self, w, revision_id):
-        self.treeview.set_revision(revision_id)
+        self.treeview.set_revision_id(revision_id)
 
     def _col_visibility_changed(self, col, property):
         self.treeview.set_property(property + '-column-visible', col.get_active())

=== modified file 'viz/treeview.py'
--- viz/treeview.py	2007-11-04 16:48:57 +0000
+++ viz/treeview.py	2007-11-04 20:36:50 +0000
@@ -27,6 +27,11 @@
                    'The Bazaar branch being visualized',
                    gobject.PARAM_CONSTRUCT_ONLY | gobject.PARAM_WRITABLE),
 
+        'revision': (gobject.TYPE_PYOBJECT,
+                     'Revision',
+                     'The currently selected revision',
+                     gobject.PARAM_READWRITE),
+
         'revno-column-visible': (gobject.TYPE_BOOLEAN,
                                  'Revision number',
                                  'Show revision number column',
@@ -77,6 +82,8 @@
             return self.revno_column.get_visible()
         elif property.name == 'branch':
             return self.branch
+        elif property.name == 'revision':
+            return self.revision
         else:
             raise AttributeError, 'unknown property %s' % property.name
 
@@ -85,6 +92,8 @@
             self.revno_column.set_visible(value)
         elif property.name == 'branch':
             self.branch = value
+        elif property.name == 'revision':
+            self.set_revision_id(value.revision_id)
         else:
             raise AttributeError, 'unknown property %s' % property.name
 
@@ -92,7 +101,7 @@
         """Return revision id of currently selected revision, or None."""
         return self.revision
 
-    def set_revision(self, revid):
+    def set_revision_id(self, revid):
         """Change the currently selected revision.
 
         :param revid: Revision id of revision to display.

